﻿$(function()
{
	var curpos = {x:25, y:31};
	var xwve = $("#x_width_value").text(curpos.x);
	var xwse = $("#x_width_slider");
	xwse.slider
	({
		min: 11, max: 250, value: curpos.x,
		slide: function(event, ui) {xwve.text(ui.value);}
	});
	
	var ywve = $("#y_width_value").text(curpos.y);
	var ywse = $("#y_width_slider");
	ywse.slider
	({
		min: 11, max: 250, value: curpos.y,
		slide: function(event, ui) {ywve.text(ui.value);}
	});
	
	var mtse = $("#map_type_select_el");
	mtse.append($("<option>РАНДОМ</option>"));
	for(var i=0;i<map_type.length;i++)
	{
		mtse.append($("<option>"+map_type[i].name+"</option>"));
		map_type[i].entities_weight.recalcWeightsBySum();
	}
	
	var edse = $("#el_density_sel")
		.append($("<option>норм.</option>"))
		.append($("<option>реже</option>"))
		.append($("<option>чаще</option>"));
	
	var fse = $("#frature_select_el")
		.append($("<option>РАНДОМ</option>"))
		.append($("<option>Нет</option>"))
		.append($("<option>Редко</option>"))
		.append($("<option>Средне</option>"))
		.append($("<option>Часто</option>"))
		.append($("<option>Непролазно</option>"));
	
	var hlse = $("#height_lim_sel_el");
	for(var i=0;i<9;i++)
	{
		hlse.append($("<option>"+i+"</option>"));
	}
	
	var wpe = $("#wait_panel");
	var wpe_status = false;
	
	var sbe = $("#submit_button_el");
	sbe.click(function()
	{
		wpe.show();
		wpe_status = true;
	});
	
	var pot = window.setInterval(
		function()
		{
			if(wpe_status)
			{
				wpe_status = false;
				
				var density = parseInt(edse.prop("selectedIndex"));
				switch(density)
				{
					case 0: density = 1.2; break;
					case 1: density = 0.6; break;
					case 2: density = 2.5; break;
				}
				
				var se = parseInt(mtse.prop("selectedIndex"));
				se = (se==0)?Math.floor(Math.random()*map_type.length):se-1;
				
				var fc = parseInt(fse.prop("selectedIndex"));
				if(fc==0) fc=Math.ceil(Math.random()*4);
				switch(fc)
				{
					case 1: fc = 0; break;
					case 2: fc = 0.02; break;
					case 3: fc = 0.09; break;
					case 4: fc = 0.2; break;
					case 5: fc = 0.4; break;
				}
				
				var map = new BattleMap
				({
					hex_count_x: parseInt(xwse.slider("option","value")),
					hex_count_y: parseInt(ywse.slider("option","value")),
					map_type: se,
					fracture: fc,
					height_lim: parseInt(hlse.prop("selectedIndex")),
					density: density
				});
				var mr = new MapRenderer("map_el", map);
				mr.draw();
				
				wpe.hide();
			}
		},
		100
	);
});